---
title: "Gets specific Order by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-orders-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Order by unique id

`GET` `/orders/{id}`

Operation ID: `get-orders-id`

Gets specific Order by unique id

## Path parameters

- `id` (integer, int32, required) - Order id

## Query parameters

- `include_items` (boolean, optional) - Include items
- `include_fulfilments` (boolean, optional) - Include fulfilments
- `include_payments` (boolean, optional) - Include payments

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Order
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Order not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /orders/{id}:
    get:
      tags:
        - orders
      summary: Gets specific Order by unique id
      description: Gets specific Order by unique id
      operationId: get-orders-id
      parameters:
        - name: id
          in: path
          description: Order id
          required: true
          schema:
            type: integer
            description: Order id
            format: int32
            example: 10000
        - name: include_items
          in: query
          description: Include items
          schema:
            type: boolean
            description: Include items
        - name: include_fulfilments
          in: query
          description: Include fulfilments
          schema:
            type: boolean
            description: Include fulfilments
        - name: include_payments
          in: query
          description: Include payments
          schema:
            type: boolean
            description: Include payments
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Order
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order"
              example:
                billing_address:
                  country: string
                  country_code: string
                  state: string
                  suburb: string
                  address_line1: string
                  address_line2: string
                  postcode: string
                  company: string
                  mobile: string
                  phone: string
                  first_name: string
                  last_name: string
                  email: string
                private_comments: string
                delivery_address:
                  country: string
                  country_code: string
                  state: string
                  suburb: string
                  address_line1: string
                  address_line2: string
                  postcode: string
                  company: string
                  mobile: string
                  phone: string
                  first_name: string
                  last_name: string
                  id: 0
                  default: true
                  modified_on: string
                ext_unique_id: string
                freight_total: 0
                freight_type:
                  id: 0
                  name: string
                id: 0
                customer:
                  customer_number: string
                  email: string
                  first_name: string
                  id: 0
                  last_name: string
                  custom_reference: string
                order_number: string
                original_order_id: 0
                sales_channel:
                  id: 0
                  name: string
                  shopify_channel: true
                sales_person:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                order_status:
                  id: 0
                  status: string
                order_total: 0
                outlet:
                  id: 0
                  name: string
                  modified_on: string
                public_comments: string
                taxable: 0
                created_on: string
                modified_on: string
                fulfilled_in_full_on: string
                paid_in_full_on: string
                order_items:
                  - id: 0
                    external_id: string
                    order_item_type: string
                    product:
                      manufacturer_sku: string
                      product_type:
                        id: 0
                        name: string
                        modified_on: string
                      short_description: string
                      supplier_sku: string
                      supplier_sku2: string
                      sales_channels:
                        - id: 0
                          name: string
                          shopify_channel: true
                          source_group:
                            id: 0
                            name: string
                          enabled: true
                      export_to_web: true
                      package: true
                      has_package_products: true
                      last_sold_on: string
                      require_serial_number: 0
                      last_fulfiled_on: string
                      id: 0
                    original_price: 0
                    sell_price: 0
                    order_item_total: 0
                    order_item_discount_total: 0
                    taxable: true
                    tax_rate: 0
                    supplier_buy_ex: 0
                    direct_costs_ex: 0
                    cogs_ex: 0
                    fulfilment_method: string
                    due_date: string
                    delivery_driver:
                      id: 0
                      name: string
                    delivery_zone:
                      id: 0
                      name: string
                    delivery_time:
                      id: 0
                      name: string
                    quantity_ordered: 0
                    quantity_fulfiled: 0
                    notes: string
                    original_order_item_id: 0
                    return_reason:
                      id: 0
                      name: string
                    fulfil_outlet:
                      id: 0
                      name: string
                      modified_on: string
                    source_outlet:
                      id: 0
                      name: string
                      modified_on: string
                    applied_promotional_campaigns:
                      - id: 0
                        name: string
                    created_on: string
                    modified_on: string
                    linked_purchase_order:
                      id: 0
                      status:
                        id: 0
                        name: string
                      eta: string
                      supplier_invoice_number: string
                      created_on: string
                      modified_on: string
                      received_on: string
                      created_by:
                        id: 0
                        user_code: string
                        first_name: string
                        surname: string
                      modified_by:
                        id: 0
                        user_code: string
                        first_name: string
                        surname: string
                    serial_number: string
                fulfilments:
                  - id: 0
                    order_item_id: 0
                    quantity_fulfiled: 0
                    fulfil_outlet:
                      id: 0
                      name: string
                      modified_on: string
                    created_on: string
                    serial_number: string
                payments:
                  - id: 0
                    external_id: string
                    payment_method:
                      id: 0
                      name: string
                    amount: 0
                    created_on: string
                vouchers:
                  - id: 0
                    code: string
                    type:
                      id: 0
                      name: string
                    initial_value: 0
                    balance: 0
                    created_on: string
                    expires_on: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Order not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Order:
      title: ""
      type: object
      properties:
        billing_address:
          $ref: "#/components/schemas/BillingAddress"
        private_comments:
          type: string
          nullable: true
        delivery_address:
          $ref: "#/components/schemas/DeliveryAddress"
        ext_unique_id:
          type: string
          description: External ID of the payment, if applicable.
          nullable: true
        freight_total:
          type: number
          description: Freight total
          format: double
          nullable: true
        freight_type:
          $ref: "#/components/schemas/FreightTypeLimited"
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        customer:
          $ref: "#/components/schemas/CustomerLimited"
        order_number:
          type: string
          description: The Order identifier in Retail Express.
          nullable: true
        original_order_id:
          type: integer
          description: Original Order Id.
          format: int32
          nullable: true
        sales_channel:
          $ref: "#/components/schemas/SalesChannelLimited"
        sales_person:
          $ref: "#/components/schemas/UserLimited"
        order_status:
          $ref: "#/components/schemas/OrderStatus"
        order_total:
          type: number
          description: Order total
          format: double
          nullable: true
        outlet:
          $ref: "#/components/schemas/OutletExtended"
        public_comments:
          type: string
          description: Public comments
          nullable: true
        taxable:
          type: integer
          description: Is taxable
          format: int32
          readOnly: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        fulfilled_in_full_on:
          type: string
          description: Fulfilled in full on
          format: date-time
          nullable: true
        paid_in_full_on:
          type: string
          description: Paid in full on
          format: date-time
          nullable: true
        order_items:
          type: array
          items:
            $ref: "#/components/schemas/OrderItem"
          description: Order items.
          nullable: true
        fulfilments:
          type: array
          items:
            $ref: "#/components/schemas/Fulfilment"
          description: Fulfilments.
          nullable: true
        payments:
          type: array
          items:
            $ref: "#/components/schemas/OrderPayment"
          description: Payments.
          nullable: true
        vouchers:
          type: array
          items:
            $ref: "#/components/schemas/OrderVoucher"
          description: Vouchers.
          nullable: true
      additionalProperties: false
      description: Order Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BillingAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
      additionalProperties: false
      description: Billing address model
    DeliveryAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        default:
          type: boolean
          description: Is Default
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Delivery Address model
    FreightTypeLimited:
      title: ""
      required:
        - name
      type: object
      properties:
        id:
          type: integer
          description: Freight Type Id.
          format: int32
          nullable: true
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Freight Type name.
      additionalProperties: false
    CustomerLimited:
      title: ""
      type: object
      properties:
        customer_number:
          type: string
          description: Customer number
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        last_name:
          type: string
          description: Last name
          nullable: true
        custom_reference:
          type: string
          description: Custom reference
          nullable: true
      additionalProperties: false
    SalesChannelLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
          nullable: true
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: name
          nullable: true
        shopify_channel:
          type: boolean
          description: Is shopify channel
      additionalProperties: false
    UserLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    OrderStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        status:
          type: string
          description: Order Id.
          nullable: true
      additionalProperties: false
    OutletExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    OrderItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order item id.
          format: int32
          nullable: true
        external_id:
          type: string
          description: External unique id
          nullable: true
        order_item_type:
          type: string
          description: Order item type
          nullable: true
        product:
          $ref: "#/components/schemas/ProductLimited"
        original_price:
          type: number
          description: Original price
          format: double
          nullable: true
        sell_price:
          type: number
          description: Sell price
          format: double
        order_item_total:
          type: number
          description: Order item total
          format: double
          readOnly: true
        order_item_discount_total:
          type: number
          description: Order item discount total
          format: double
          nullable: true
        taxable:
          type: boolean
          description: Is taxable
          nullable: true
        tax_rate:
          type: number
          description: Tax rate
          format: double
          nullable: true
        supplier_buy_ex:
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        direct_costs_ex:
          type: number
          description: Direct Costs Ex
          format: double
          nullable: true
        cogs_ex:
          type: number
          description: COGS Ex
          format: double
          nullable: true
          readOnly: true
        fulfilment_method:
          type: string
          description: Fulfilment Method
          nullable: true
        due_date:
          type: string
          description: Due date
          format: date-time
          nullable: true
        delivery_driver:
          $ref: "#/components/schemas/DeliveryDriver"
        delivery_zone:
          $ref: "#/components/schemas/DeliveryZone"
        delivery_time:
          $ref: "#/components/schemas/DeliveryTime"
        quantity_ordered:
          type: integer
          description: Quantity Ordered
          format: int32
        quantity_fulfiled:
          type: integer
          description: Quantity Fulfiled
          format: int32
        notes:
          type: string
          description: Notes
          nullable: true
        original_order_item_id:
          type: integer
          description: Original Order Item Id
          format: int32
          nullable: true
        return_reason:
          $ref: "#/components/schemas/ReturnReasonLimited"
        fulfil_outlet:
          $ref: "#/components/schemas/OutletExtended"
        source_outlet:
          $ref: "#/components/schemas/OutletExtended"
        applied_promotional_campaigns:
          type: array
          items:
            $ref: "#/components/schemas/Campaign"
          description: Promotional campaigns
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        linked_purchase_order:
          $ref: "#/components/schemas/PurchaseOrderLimited"
        serial_number:
          type: string
          description: Serial Number
          nullable: true
      additionalProperties: false
      description: Order Item Model
    Fulfilment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fulfilment id
          format: int32
        order_item_id:
          type: integer
          description: Order Item Id
          format: int32
        quantity_fulfiled:
          type: integer
          description: Fulfiled quantity of products
          format: int32
        fulfil_outlet:
          $ref: "#/components/schemas/OutletExtended"
        created_on:
          type: string
          description: Created On
          format: date-time
        serial_number:
          type: string
          description: Serial Number
          nullable: true
      additionalProperties: false
      description: Fulfilment model
    OrderPayment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Payment Id .
          format: int32
        external_id:
          type: string
          description: External Id.
          nullable: true
        payment_method:
          $ref: "#/components/schemas/PaymentMethod"
        amount:
          type: number
          description: Amount.
          format: double
        created_on:
          type: string
          description: Created On.
          format: date-time
      additionalProperties: false
      description: Order Payment Model
    OrderVoucher:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher Id.
          format: int32
          nullable: true
        code:
          type: string
          description: Voucher code
          nullable: true
        type:
          $ref: "#/components/schemas/VoucherVoucherType"
        initial_value:
          type: number
          description: Initial value
          format: double
          nullable: true
        balance:
          type: number
          description: Balance
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        expires_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
      additionalProperties: false
    ProductLimited:
      title: ""
      type: object
      properties:
        manufacturer_sku:
          type: string
          description: Manufacture SKU
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        short_description:
          type: string
          description: Product description.
          nullable: true
        supplier_sku:
          type: string
          description: Supplier SKU.
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU2.
          nullable: true
        sales_channels:
          type: array
          items:
            $ref: "#/components/schemas/ProductSalesChannelVM"
          description: Product Sales Chanels
          nullable: true
        export_to_web:
          type: boolean
          description: Export To Web
          nullable: true
        package:
          type: boolean
          description: Package
        has_package_products:
          type: boolean
          description: Has Package Products
        last_sold_on:
          type: string
          description: Last Processed Sold
          format: date-time
          nullable: true
        require_serial_number:
          type: integer
          description: Require SerialNumber
          format: int32
        last_fulfiled_on:
          type: string
          description: Last Fulfiled
          format: date-time
          nullable: true
        id:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    DeliveryDriver:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    DeliveryZone:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    DeliveryTime:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    ReturnReasonLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Return Reason Id.
          format: int32
        name:
          type: string
          description: Return Reason name
          nullable: true
      additionalProperties: false
      description: Return Reason Limited Model
    Campaign:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Campaign id
          format: int32
          nullable: true
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Campaign name
          nullable: true
      additionalProperties: false
      description: Campaign Model
    PurchaseOrderLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Purchase order id
          format: int32
          nullable: true
        status:
          $ref: "#/components/schemas/PurchaseOrderStatus"
        eta:
          type: string
          description: Eta
          format: date-time
          nullable: true
        supplier_invoice_number:
          type: string
          description: Supplier Invoice Number
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
        received_on:
          type: string
          description: Received on
          format: date-time
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Purchase order model
    PaymentMethod:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Payment Method Id.
          format: int32
        name:
          type: string
          description: Payment Method Name.
          nullable: true
      additionalProperties: false
      description: Payment Method Model
    VoucherVoucherType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher type Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Voucher type code
          nullable: true
      additionalProperties: false
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    ProductSalesChannelVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Channel Id.
          format: int32
        name:
          type: string
          description: Channel Name.
          nullable: true
        shopify_channel:
          type: boolean
          description: Shopify Channel.
        source_group:
          $ref: "#/components/schemas/SourceGroupVM"
        enabled:
          type: boolean
          description: Enabled.
      additionalProperties: false
    PurchaseOrderStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Status identifier
          format: int32
          nullable: true
        name:
          type: string
          description: Status name
          nullable: true
      additionalProperties: false
      description: Purchase order status model
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    SourceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Source Group Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Source Group Name.
          nullable: true
      additionalProperties: false
```
